const lib = require('../index')
const url = process.argv[2] || 'https://ontouchstart.github.io'

function launchChrome() {
  return lib.launch({ chromeFlags: [ '--disable-gpu', '--headless' ] });
}


(async function() {

const chrome = await launchChrome();
const protocol = await lib.CDP({port: chrome.port});

// Extract the DevTools protocol domains we need and enable them.
// See API docs: https://chromedevtools.github.io/devtools-protocol/
const {Page, Runtime} = protocol;
await Promise.all([Page.enable(), Runtime.enable()]);

Page.navigate({url: url});

// Wait for window.onload before doing stuff.
Page.loadEventFired(async () => {
  const js = "document.body.innerHTML";
  // Evaluate the JS expression in the page.
  const result = await Runtime.evaluate({expression: js});

  console.log(result.result.value);

  protocol.close();
  chrome.kill(); // Kill Chrome.
});

})();
